SAFER_Impl< BASE, INFO, STR > Class Template Reference
Inheritance diagram for SAFER_Impl< BASE, INFO, STR >:

## Public Member Functions

unsigned int | BlockSize () const
std::string | AlgorithmName () const
size_t | MinKeyLength () const
size_t | MaxKeyLength () const
size_t | DefaultKeyLength () const
size_t | GetValidKeyLength (size_t n) const
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
unsigned int | IVSize () const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Protected Member Functions

bool | Strengthened () const

## Detailed Description

### template<class BASE, class INFO, bool STR>
class SAFER_Impl< BASE, INFO, STR >

Definition at line 44 of file safer.h.

The documentation for this class was generated from the following file:

- safer.h